Downvote insight
POST
/api/v1/insights/{id}/downvote
const url = 'https://example.com/api/v1/insights/example/downvote';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/insights/example/downvoteParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
_id
required
string
title
required
string
description
required
string
category
string
tags
Array<string>
upvotes
required
number
downvotes
required
number
blocked
required
boolean
referenceCount
required
number
createdBy
required
string
sourceReportId
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Insight not found